Bug 1266780 - RFE: port "show-installed" plugin
RFE: port "show-installed" plugin
Status: NEW
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
rawhide
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Marek Blaha
Fedora Extras Quality Assurance
: FutureFeature, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-27 15:27 EDT by d. johnson
Modified: 2017-10-04 06:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-12 14:21:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"rpm -qa" output for compare (16.66 KB, text/plain)
2015-12-12 19:06 EST, d. johnson
no flags Details
"show-installed" output for compare. (520 bytes, text/plain)
2015-12-12 19:07 EST, d. johnson
no flags Details

  None (edit)
Description d. johnson 2015-09-27 15:27:06 EDT
Description of problem:

DNF has no replacement for "show-installed -f kickstart"

Version-Release number of selected component (if applicable):

all.

How reproducible:

100%

Steps to Reproduce:
1. run "show-installed -f kickstart -o /tmp/installed.txt" to produce a list of high level deps you could use with "dnf kickstart"
2. there is no dnf version of this tool.
3.

Actual results:

nothing.

Expected results:

a viable text file to use with 'dnf kickstart' or inside an anaconda kickstart file's %package list.

Additional info:
Comment 1 Honza Silhan 2015-10-13 09:18:23 EDT
`dnf repoquery --installed > /tmp/installed.txt` is not enough? Do you really need that file minimal?
Comment 2 d. johnson 2015-10-13 23:27:07 EDT
please run rhel7 or something old enough that still has show-installed.

The output is incredibly useful.

on dnf based systems, this output is simply unavailable.  it is NOT the same thing as 'rpm -qa' at all. 'dnf repoquery --installed' is the longer wait version of simply 'rpm -qa'.  It does not show groups.  It does not actually help create a useful and easy to read kickstart file.

See for example, https://git.fedorahosted.org/cgit/spin-kickstarts.git/tree/fedora-workstation-packages.ks
Comment 3 Igor Gnatenko 2015-12-12 14:21:05 EST
Please provide exactly what do you expecting.
Comment 4 d. johnson 2015-12-12 14:31:27 EST
Easy.  I'm expecting output exactly like the spins already use.

For example:

https://git.fedorahosted.org/cgit/spin-kickstarts.git/tree/fedora-cinnamon-packages.ks

This does not simply run 'rpm -qa' or 'dnf repoquery -installed', it lists the smallest number of lines that a kickstart would use to reproduce the same installation.
Comment 5 Igor Gnatenko 2015-12-12 14:36:18 EST
Show exact output of both commands and provide what you are expecting. Not just link and few words.
Comment 6 d. johnson 2015-12-12 19:06 EST
Created attachment 1105212 [details]
"rpm -qa" output for compare
Comment 7 d. johnson 2015-12-12 19:07 EST
Created attachment 1105213 [details]
"show-installed" output for compare.
Comment 8 d. johnson 2015-12-12 19:09:31 EST
This attached output is from a simple bootup, and run both the commands in question.  

You can see that one file is very concise and easy to read, with only top-level deps listed.  

The other file is every single package installed, without regard to any dep-tree.
Comment 9 Igor Gnatenko 2015-12-13 04:11:36 EST
ok, makes sense, but i dont have time to implement it now.
Comment 10 Fedora Admin XMLRPC Client 2016-07-21 08:40:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.